Tag Docker Image
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Tag Docker Image action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Promote to production tag",
"type": "PROMOTE_IMAGE",
"trigger_time": "ON_EVERY_EXECUTION",
"same_location": true,
"src": {
"docker_registry": "DOCKER_HUB",
"image": "mycompany/myapp:latest",
"integration": "docker_hub_integration"
},
"dest": {
"docker_registry": "GOOGLE_ARTIFACT_REGISTRY",
"registry": "us-central1-docker.pkg.dev",
"image": "my-gcp-project/my-repo/myapp:production",
"integration": "google_service_account"
}
}'STATUS200 OK